import request from '@/router/axios'

export function fetchList(query) {
  return request({
    url: '/general/basebankaccount/page',
    method: 'get',
    params: query
  })
}

export function addObj(obj) {
  return request({
    url: '/general/basebankaccount',
    method: 'post',
    data: obj
  })
}

export function getObj(id) {
  return request({
    url: '/general/basebankaccount/' + id,
    method: 'get'
  })
}

export function delObj(id) {
  return request({
    url: '/general/basebankaccount/' + id,
    method: 'delete'
  })
}

export function putObj(obj) {
  return request({
    url: '/general/basebankaccount',
    method: 'put',
    data: obj
  })
}
